#include "DAGH.h"
#include "DAGHIO.h"

#include "Consts.h"
#include "ADMvar.h"
#include "SArray.h"
#include "TArray.h"
#include "BHmask.h"
#include "Variables.h"

#include "Berger_Oliger.h"
#include "input_params.h"

void  wt_get(V &VA);
void  wt_put(V &VA);
void  obm_io(INTEGER iter, V &VA);

void TimeStep(GridHierarchy & GH,const INTEGER Level,
                   const DOUBLE Delta_t, DOUBLE Time,
                   V & VA, INTEGER t, INTEGER myrank)

{

   double *params=VA.params;
   INTEGER iter;
   iter=t;
   INTEGER itc=0;

   if( (int)params[P_OUTER_BOUNDARY] == 5) {
       wt_get(VA);
       obm_io(iter,VA);
   }

   BO_Integrate(GH,Level,Delta_t,Time, VA,itc,myrank);

   if( (int)params[P_OUTER_BOUNDARY] == 5) {
    wt_put(VA);
   }

}

void  wt_get(V &VA)
{
  cout << "wt_get is not yet implemented" << endl;
  exit(0);
}

void  wt_put(V &VA)
{
  cout << "wt_putx is not yet implemented" << endl;
  exit(0);
}

void  obm_io(INTEGER iter, V &VA)
{
  cout << "obm_io is not yet implemented" << endl;
  exit(0);
}

void  obm_initialize(double *params)
{
  cout << "obm_initialize is not yet implemented" << endl;
  exit(0);
}

